Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.stats
Class StatList

    java.lang.Object
      net.minecraft.stats.StatList

    public class StatList

extends Object

Field Summary
`static List` | `allStats`
`static StatBase` | `createWorldStat` times a world has been created
`static StatBase` | `damageDealtStat` the amount of damage you've dealt
`static StatBase` | `damageTakenStat` the amount of damage you have taken
`static StatBase` | `deathsStat` the number of times you have died
`static StatBase` | `distanceByBoatStat` the distance you've traveled by boat
`static StatBase` | `distanceByMinecartStat` the distance you've traveled by minecart
`static StatBase` | `distanceByPigStat` the distance you've traveled by pig
`static StatBase` | `distanceClimbedStat` the distance you've climbed
`static StatBase` | `distanceDoveStat` the distance you've dived
`static StatBase` | `distanceFallenStat` the distance you have fallen
`static StatBase` | `distanceFlownStat` the distance you've flown
`static StatBase` | `distanceSwumStat` distance you have swam
`static StatBase` | `distanceWalkedStat` distance you've walked
`static StatBase` | `dropStat` the distance you've dropped (or times you've fallen?)
`static StatBase` | `fishCaughtStat`
`static List` | `generalStats`
`static List` | `itemStats`
`static StatBase` | `joinMultiplayerStat` number of times you've joined a multiplayer world
`static StatBase` | `jumpStat` the times you've jumped
`static StatBase` | `leaveGameStat` number of times you've left a game
`static StatBase` | `loadWorldStat` the number of times you have loaded a world
`static StatBase[]` | `mineBlockStatArray`
`static StatBase` | `minutesPlayedStat` number of minutes you have played
`static StatBase` | `mobKillsStat` the number of mobs you have killed
`static StatBase[]` | `objectBreakStats` Tracks the number of times a given block or item has been broken.
`static StatBase[]` | `objectCraftStats` Tracks the number of items a given block or item has been crafted.
`static List` | `objectMineStats` Tracks the number of times a given block or item has been mined.
`static StatBase[]` | `objectUseStats` Tracks the number of times a given block or item has been used.
`static StatBase` | `playerKillsStat` counts the number of times you've killed a player
`static StatBase` | `startGameStat` times the game has been started

Constructor Summary
`StatList()`

Method Summary
`static StatBase` | `getOneShotStat(int par0)`
`static void` | `initBreakableStats()` Initializes statistic fields related to breakable items and blocks.
`static void` | `initCraftableStats()` Initializes statistics related to craftable items.
`static void` | `initStats()`
`static void` | `nopInit()` This method simply NOPs.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### allStats

    public static List allStats

### generalStats

    public static List generalStats

### itemStats

    public static List itemStats

### objectMineStats

    public static List objectMineStats

  Tracks the number of times a given block or item has been mined.

### startGameStat

    public static StatBase startGameStat

  times the game has been started

### createWorldStat

    public static StatBase createWorldStat

  times a world has been created

### loadWorldStat

    public static StatBase loadWorldStat

  the number of times you have loaded a world

### joinMultiplayerStat

    public static StatBase joinMultiplayerStat

  number of times you've joined a multiplayer world

### leaveGameStat

    public static StatBase leaveGameStat

  number of times you've left a game

### minutesPlayedStat

    public static StatBase minutesPlayedStat

  number of minutes you have played

### distanceWalkedStat

    public static StatBase distanceWalkedStat

  distance you've walked

### distanceSwumStat

    public static StatBase distanceSwumStat

  distance you have swam

### distanceFallenStat

    public static StatBase distanceFallenStat

  the distance you have fallen

### distanceClimbedStat

    public static StatBase distanceClimbedStat

  the distance you've climbed

### distanceFlownStat

    public static StatBase distanceFlownStat

  the distance you've flown

### distanceDoveStat

    public static StatBase distanceDoveStat

  the distance you've dived

### distanceByMinecartStat

    public static StatBase distanceByMinecartStat

  the distance you've traveled by minecart

### distanceByBoatStat

    public static StatBase distanceByBoatStat

  the distance you've traveled by boat

### distanceByPigStat

    public static StatBase distanceByPigStat

  the distance you've traveled by pig

### jumpStat

    public static StatBase jumpStat

  the times you've jumped

### dropStat

    public static StatBase dropStat

  the distance you've dropped (or times you've fallen?)

### damageDealtStat

    public static StatBase damageDealtStat

  the amount of damage you've dealt

### damageTakenStat

    public static StatBase damageTakenStat

  the amount of damage you have taken

### deathsStat

    public static StatBase deathsStat

  the number of times you have died

### mobKillsStat

    public static StatBase mobKillsStat

  the number of mobs you have killed

### playerKillsStat

    public static StatBase playerKillsStat

  counts the number of times you've killed a player

### fishCaughtStat

    public static StatBase fishCaughtStat

### mineBlockStatArray

    public static StatBase[] mineBlockStatArray

### objectCraftStats

    public static StatBase[] objectCraftStats

  Tracks the number of items a given block or item has been crafted.

### objectUseStats

    public static StatBase[] objectUseStats

  Tracks the number of times a given block or item has been used.

### objectBreakStats

    public static StatBase[] objectBreakStats

  Tracks the number of times a given block or item has been broken.

Constructor Detail

### StatList

    public StatList()

Method Detail

### nopInit

    public static void nopInit()

  This method simply NOPs. It is presumably used to call the static constructors on server start.

### initBreakableStats

    public static void initBreakableStats()

  Initializes statistic fields related to breakable items and blocks.

### initStats

    public static void initStats()

### initCraftableStats

    public static void initCraftableStats()

  Initializes statistics related to craftable items. Is only called after both block and item stats have been initialized.

### getOneShotStat

    public static StatBase getOneShotStat(int par0)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD